[FFmpeg-cvslog] r25161 - in trunk/tests: fate-run.sh regression-funcs.sh

mru subversion
Thu Sep 23 11:55:31 CEST 2010


Author: mru
Date: Thu Sep 23 11:55:31 2010
New Revision: 25161

Log:
fate: print commands being executed with V=1

Modified:
   trunk/tests/fate-run.sh
   trunk/tests/regression-funcs.sh

Modified: trunk/tests/fate-run.sh
==============================================================================
--- trunk/tests/fate-run.sh	Thu Sep 23 11:53:26 2010	(r25160)
+++ trunk/tests/fate-run.sh	Thu Sep 23 11:55:31 2010	(r25161)
@@ -43,6 +43,7 @@ stddev(){
 }
 
 run(){
+    test "${V:-0}" -gt 0 && echo "$target_exec" $target_path/"$@" >&3
     $target_exec $target_path/"$@"
 }
 
@@ -109,6 +110,7 @@ seektest(){
 
 mkdir -p "$outdir"
 
+exec 3>&2
 $command > "$outfile" 2>$errfile
 err=$?
 

Modified: trunk/tests/regression-funcs.sh
==============================================================================
--- trunk/tests/regression-funcs.sh	Thu Sep 23 11:53:26 2010	(r25160)
+++ trunk/tests/regression-funcs.sh	Thu Sep 23 11:55:31 2010	(r25161)
@@ -41,9 +41,15 @@ mkdir -p "$datadir"
 mkdir -p "$outfile"
 mkdir -p "$logdir"
 
-[ "${V-0}" -gt 0 ] && echov=echo || echov=:
+(exec >&3) 2>/dev/null || exec 3>&2
+
+[ "${V-0}" -gt 0 ] && echov=echov || echov=:
 [ "${V-0}" -gt 1 ] || exec 2>$errfile
 
+echov(){
+    echo "$@" >&3
+}
+
 . $(dirname $0)/md5.sh
 
 FFMPEG_OPTS="-v 0 -y -flags +bitexact -dct fastint -idct simple -sws_flags +accurate_rnd+bitexact"



More information about the ffmpeg-cvslog mailing list